%define version 2.28.0
%define release %mkrel 5



%define libgnomemm_version 2.14.0
%define libgnomecanvasmm_version 2.6.0
%define gconfmm_version 2.6.0
%define gnomevfsmm_version 2.6.0
%define libglademm_version 2.4.0

%define pkgname libgnomeuimm
%define major 1
%define api_version 2.6
%define libname_orig	%mklibname gnomeuimm %{api_version}
%define libname		%mklibname gnomeuimm %{api_version} %{major}

Summary:	A C++ wrapper for GNOME UI library
Name:		%{pkgname}%{api_version}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
BuildRequires:	libgnomeui2-devel >= 2.7.1
BuildRequires:	gnome-vfsmm2.6-devel >= %{gnomevfsmm_version}
BuildRequires:	gconfmm2.6-devel >= %{gconfmm_version}
BuildRequires:	libgnomemm2.6-devel >= %{libgnomemm_version}
BuildRequires:	libgnomecanvasmm2.6-devel >= %{libgnomecanvasmm_version}
BuildRequires:	libglademm2.4-devel >= %{libglademm_version}
BuildRequires:	libexpat-devel
BuildRequires:	doxygen
Obsoletes:  %name < %version

%description
This library provides a C++ wrapper for GNOME UI library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package	-n %{libname}
Summary:	A C++ wrapper for GNOME UI library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This library provides a C++ wrapper for GNOME UI library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package	-n %{libname}-devel
Summary:	Development files for libgnomeui C++ wrapper
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}

%description	-n %{libname}-devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use
%{pkgname}, the C++ interface to libgnomeui.

It is necessary when compiling applications which use %{pkgname} as well.


%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Documentation

%description	doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --enable-static
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf %{buildroot}
%makeinstall_std
find %buildroot -name *.la|xargs rm


%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc COPYING ChangeLog TODO
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}

%files doc
%defattr(-, root, root)
%doc docs/reference/html 

%changelog
* Tue Nov 05 2013 billybot <billybot> 2.28.0-5pclos2013
- rebuild for new pcre
- remove .la files

* Wed Sep 15 2010 Texstar <texstar at gmail.com> 2.28.0-4pclos2010
- rebuild for new ssl

* Thu Dec 24 2009 Texstar <texstar at gmail.com> 2.28.0-3pclos2010
- rebuild

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Wed Oct 07 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Mon Oct 27 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.24.0-1pclos2007
- New version 2.24.0

* Sun Sep 02 2007 Texstar <texstar@gmail.com> 2.18.0-1pclos2007
- 2.18.0

* Tue Nov 14 2006 Texstar <texstar@houston.rr.com> 2.16.0-2pclos2007
- Build for PCLinuxOS 2007

